bfdf() { a__btrfs_filesystem_d_f "${@}"; }
a__btrfs_filesystem_d_f() {
	btrfs \
		filesystem \
		df \
		"${@}"
}

bfdu() { a__btrfs_filesystem_d_u "${@}"; }
a__btrfs_filesystem_d_u() {
	btrfs \
		filesystem \
		du \
		--summarize \
		"${@}"
}

bfu() { a__btrfs_filesystem_usage "${@}"; }
a__btrfs_filesystem_usage() {
	btrfs \
		filesystem \
		usage \
		"${@}"
}

bpg() { a__btrfs_property_get "${@}"; }
a__btrfs_property_get() {
	btrfs \
		property \
		get \
		"${@}"
}

bsc() { a__btrfs_subvolume_create "${@}"; }
a__btrfs_subvolume_create() {
	btrfs \
		subvolume \
		create \
		"${@}"
}

bsd() { a__btrfs_subvolume_delete "${@}"; }
a__btrfs_subvolume_delete() {
	btrfs \
		subvolume \
		delete \
		"${@}"
}

bsl() { a__btrfs_subvolume_list "${@}"; }
a__btrfs_subvolume_list() {
	if [ -n "${1}" ]; then
		btrfs subvolume list "${1}" |
			cut --delimiter " " --fields 9 |
			sort
	fi
}

bss() { a__btrfs_subvolume_snapshot "${@}"; }
a__btrfs_subvolume_snapshot() {
	btrfs \
		subvolume \
		snapshot \
		"${@}"
}

bssr() { a__btrfs_subvolume_snapshot_r "${@}"; }
a__btrfs_subvolume_snapshot_r() {
	btrfs \
		subvolume \
		snapshot -r \
		"${@}"
}
