rwx_gnome_proxy() {
	local value
	case "${1}" in
	"on") value="manual" ;;
	*) value="none" ;;
	esac
	gsettings set "org.gnome.system.proxy" "mode" "${value}"
}

rwx_gnome_workspaces_primary() {
	local bool
	local group="org.gnome.mutter"
	local name="workspaces-only-on-primary"
	local var="${group}/${name}"
	# get
	bool="$(gsettings get "${group}" "${name}")"
	rwx_log_debug "${var}: ${bool}"
	# not
	bool="$(rwx_not "${bool}")"
	rwx_log_debug "bool: ${bool}"
	# set
	gsettings set "${group}" "${name}" "${bool}"
	rwx_log_info "${var}: ${bool}"
}
